Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class WSAContextUtils

    java.lang.Object
      org.apache.cxf.ws.addressing.WSAContextUtils

    public final class WSAContextUtils

extends java.lang.Object

Holder for utility methods relating to contexts.

Method Summary
`static EndpointReferenceType` | `retrieveReplyTo(Conduit conduit, Message message)` Retrieve ReplyTo EPR from the context.
`static EndpointReferenceType` | `retrieveTo(Conduit conduit, Message message)` Retrieve To EPR from the context.
`static boolean` | `retrieveUsingAddressing(Message message)` Retrieve UsingAddressing override flag from the context
`static void` | `storeReplyTo(EndpointReferenceType replyTo, Message message)` Store ReplyTo EPR in the context
`static void` | `storeTo(EndpointReferenceType to, Message message)` Store To EPR in the context
`static void` | `storeUsingAddressing(boolean override, Message message)` Store UsingAddressing override flag in the context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### storeUsingAddressing

    public static void storeUsingAddressing(boolean override,
                                            Message message)

  Store UsingAddressing override flag in the context

  Parameters:
    `override` - true if UsingAddressing should be overridden
    `message` - the current message

### retrieveUsingAddressing

    public static boolean retrieveUsingAddressing(Message message)

  Retrieve UsingAddressing override flag from the context

  Parameters:
    `message` - the current message
  Returns:
    true if UsingAddressing should be overridden

### storeTo

    public static void storeTo(EndpointReferenceType to,
                               Message message)

  Store To EPR in the context

  Parameters:
    `to` - the To EPR
    `message` - the current message

### retrieveTo

    public static EndpointReferenceType retrieveTo(Conduit conduit,
                                                   Message message)

  Retrieve To EPR from the context.

  Parameters:
    `conduit` - the Conduit if available
    `message` - the current message
  Returns:
    the retrieved EPR

### storeReplyTo

    public static void storeReplyTo(EndpointReferenceType replyTo,
                                    Message message)

  Store ReplyTo EPR in the context

  Parameters:
    `replyTo` - the ReplyTo EPR
    `message` - the current message

### retrieveReplyTo

    public static EndpointReferenceType retrieveReplyTo(Conduit conduit,
                                                        Message message)

  Retrieve ReplyTo EPR from the context.

  Parameters:
    `conduit` - the Conduit if available
    `message` - the current message
  Returns:
    the retrieved EPR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF